CVE-2017-17807

NameCVE-2017-17807
DescriptionThe KEYS subsystem in the Linux kernel before 4.14.6 omitted an access-control check when adding a key to the current task's "default request-key keyring" via the request_key() system call, allowing a local user to use a sequence of crafted system calls to add keys to a keyring with only Search permission (not Write permission) to that keyring, related to construct_get_dest_keyring() in security/keys/request_key.c.
SourceCVE (at NVD; CERT, LWN, oss-sec, fulldisc, bugtraq, EDB, Metasploit, Red Hat, Ubuntu, Gentoo, SUSE bugzilla/CVE, Mageia, GitHub code/issues, web search, more)
ReferencesDLA-1232-1, DSA-4073-1, DSA-4082-1
NVD severitylow (attack range: local)

Vulnerable and fixed packages

The table below lists information on source packages.

Source PackageReleaseVersionStatus
linux (PTS)wheezy3.2.78-1vulnerable
wheezy (security)3.2.96-3fixed
jessie3.16.51-2vulnerable
jessie (security)3.16.51-3+deb8u1fixed
stretch4.9.65-3vulnerable
stretch (security)4.9.65-3+deb9u2fixed
buster, sid4.14.13-1fixed

The information below is based on the following data on fixed versions.

PackageTypeReleaseFixed VersionUrgencyOriginDebian Bugs
linuxsource(unstable)4.14.7-1low
linuxsourcejessie3.16.51-3+deb8u1lowDSA-4082-1
linuxsourcestretch4.9.65-3+deb9u1lowDSA-4073-1
linuxsourcewheezy3.2.96-3lowDLA-1232-1

Notes

Fixed by: https://git.kernel.org/linus/4dca6ea1d9432052afb06baf2e3ae78188a4410b (v4.15-rc3)

Search for package or bug name: Reporting problems